Bug 1013429 - Nodes need to return useful info of the corresponding apps where jenkins-clients are added after deleting a Jenkins server
Nodes need to return useful info of the corresponding apps where jenkins-clie...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 00:18 EDT by Zhe Wang
Modified: 2015-05-14 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:32:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-09-30 00:18:58 EDT
Description of problem:
Given a domain with a Jenkins server and several apps which have jenkins-client added, after deleting the Jenkins server, the nodes does not return useful info about which apps the jenkins-clients are added. Moreover, the  messages are concatenated in one line, for example, 

Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding
client: jenkins-client-1

It would be better if nodes can return more specific information, and separate the message with new lines according to different apps.

Version-Release number of selected component (if applicable):
devenv_3844

How reproducible:
always

Steps to Reproduce:
1. create a Jenkins server
2. create some apps with jenkins-client added
3. create some apps without jenkine-client added
4. remove the Jenkins server from the domain

Actual results:
In step 4, it returned the message:

Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1Removed corresponding
client: jenkins-client-1

from which we cannot distinguish which apps were affected. 

Expected results:
It would be better if nodes can return more specific information, and separate the message with new lines according to different apps.


Additional info:
Comment 1 Hiro Asari 2013-09-30 15:54:51 EDT
Before:

Deleting application 'jenkins' ... deleted

Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1


After:

Deleting application 'jenkins' ... deleted                                                                                                                                    

Removed jenkins-client-1 from rack2                                                                                                                                           
Removed jenkins-client-1 from rack
Comment 2 openshift-github-bot 2013-09-30 17:59:01 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/cc11a026d0e21ea22c333a93ec1b248fa684b057
Bug 1013429

Fix displayed text when the Jenkins server is deleted while applications
with Jenkins jobs remain.

Before:
```
Deleting application 'jenkins' ... deleted

Removed corresponding client: jenkins-client-1Removed corresponding client: jenkins-client-1
```

After:
```
Deleting application 'jenkins' ... deleted

Removed jenkins-client-1 from rack2
Removed jenkins-client-1 from rack
```
Comment 3 Peter Ruan 2013-10-03 02:54:18 EDT
verified with devenv_3855

pruan@homer-linux <DEV> .openshift]# rhc app delete jenkins 
This is a non-reversible action! Your application code and data will be permanently deleted if you
continue!

Are you sure you want to delete the application 'jenkins'? (yes|no): y

Deleting application 'jenkins' ... deleted

Removed jenkins-client-1 from php01

Note You need to log in before you can comment on or make changes to this bug.